package p20_zbieranie_danych;

import java.util.Scanner;
import java.util.Set;
import java.util.TreeSet;

public class ZbieranieDanych6_TreeSet {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        Set<String> zbior = new TreeSet<>();
        System.out.println("Aby zakończyć pobieranie danych, wpisz pusty napis");
        while(true) {
            System.out.print("Podaj kolejną wartość: ");
            String s = scanner.nextLine();
            if(s.isEmpty()) break;
            zbior.add(s);
        }
        System.out.println(zbior);
        System.out.println();

        System.out.println("Podawaj wartości, aby sprawdzić czy należą do zbioru. Zakończ pustym stringiem");
        while(true) {
            System.out.print("Podaj: ");
            String s = scanner.nextLine();
            if(s.isEmpty()) break;
            if(zbior.contains(s)) {
                System.out.println(s + " należy do zbioru");
            } else {
                System.out.println(s + " nie należy do zbioru");
            }
        }
    }
}
